Skip to main content
GET
Order Details

Authorizations

X-API-Key
string
header
required

Your UGiftMe API key for authentication.

Format: Secure API key (e.g., <your-api-key>)

Required: All endpoints require this header

Example: X-API-Key: <your-api-key>

Path Parameters

orderId
string
required

Response

Order

Account-facing order shape. List/search responses include imageUrl from withImageUrl; synchronous 201 creates may include populated product instead of imageUrl.

_id
string
Example:

"65b0d1e2f3a4b56789012345"

productCode
string
Example:

"AMAZON_UK_STD"

product
object

Populated product on synchronous 201 order responses.

Example:
merchant
object
currency
string
Example:

"GBP"

valuePurchased
number
Example:

50

status
string
Example:

"active"

isPaid
boolean
Example:

true

isActive
boolean
Example:

true

isActivated
boolean
Example:

false

usageLimit
number
Example:

1

giftOrder
object
transactionId
string
Example:

"txn_01HZZ9K2M4P8Q6R7S8T9V0W1X"

createdAt
string<date-time>
Example:

"2025-04-12T14:22:10.000Z"

updatedAt
string<date-time>
Example:

"2025-04-12T14:22:11.000Z"

imageUrl
string
Example:

"https://cdn.ugift.me/products/amazon-uk-card.png"

previousUserId
string

Present on some gift/recipient flows.

userId
string

Caller account id (detail endpoint only).

Example:

"507f1f77bcf86cd799439011"

ownershipHistory
object[]